CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

A field widget for entering, formatting, and validating international telephone
numbers.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/telephone_international_widget

 * To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/telephone_international_widget


REQUIREMENTS
------------

You can pull in the official `intl-tel-input` release directly from GitHub by
defining it as a custom "package" in your project's **composer.json**. Below is
an example for version **16.0.0**.

1. **Add a custom repository**

   In the top-level `composer.json`, append to the existing `"repositories"`
   array (or create one if it doesn't exist):

   ```json
   "repositories": [
     {
       "type": "package",
       "package": {
         "name": "jackocnr/intl-tel-input",
         "version": "16.0.0",
         "type": "drupal-library",
         "dist": {
           "type": "zip",
           "url": "https://github.com/jackocnr/intl-tel-input/archive/refs/tags/v16.0.0.zip"
         }
       }
     }
     // ... any other repositories ...
   ],
   ```

2. **Require the library**

   Run:

   ```bash
   composer require jackocnr/intl-tel-input
   ```

   Because we specify `"type": "drupal-library"` in the `"repository"` it will
   be available to Drupal's library system under `/libraries/intl-tel-input/`
   (assuming you have `composer/installers` enabled).

3. **Verify**

   Ensure that after installation you have:

   ```
   [web-root]/libraries/intl-tel-input/build/js/intlTelInput.js
   [web-root]/libraries/intl-tel-input/build/js/utils.js
   [web-root]/libraries/intl-tel-input/build/css/intlTelInput.css
   ```


INSTALLATION
------------

 * Install the Telephone International Widget module as you would normally
   install a contributed Drupal module. Visit
   https://www.drupal.org/node/1897420 for further information.


CONFIGURATION
-------------

    1. Navigate to Administration > Extend and enable the module.
    2. Navigate to Administration > Structure > Content types > Manage fields
    3. Add field with the type of Telephone number give it a Label and Save.
    4. Go to Manage form display find your Telephone number filed and change its
       Widget to International telephone.


MAINTAINERS
-----------

 * James Candan (jcandan) - https://www.drupal.org/u/jcandan

<!-- cspell:words Candan jcandan jackocnr -->
