(function (Drupal, once) {
  Drupal.behaviors.telephone_international_widget = {
    attach(context, settings) {
      once('telephoneIntl', '.telephone_international_widget', context).forEach(
        (input) => {
          const errorMsg = input
            .closest('.js-form-item')
            .querySelector('.error-msg');
          const validMsg = input
            .closest('.js-form-item')
            .querySelector('.valid-msg');

          const errorMap = [
            'Invalid number',
            'Invalid country code',
            'Too short',
            'Too long',
            'Invalid number',
          ];

          // Initialize the international telephone input.
          const iti = window.intlTelInput(input);

          // Capture the existing value as an international number.
          if (input.value.trim()) {
            input.value = iti.getNumber();
          }

          const reset = () => {
            input.classList.remove('error');
            errorMsg.innerHTML = '';
            errorMsg.classList.add('iti__hide');
            validMsg.classList.add('iti__hide');
          };

          input.addEventListener('blur', () => {
            reset();

            if (input.value.trim()) {
              if (iti.isValidNumber()) {
                validMsg.classList.remove('iti__hide');
                input.value = iti.getNumber();
              } else {
                input.classList.add('error');
                const errorCode = iti.getValidationError();
                errorMsg.innerHTML = errorMap[errorCode];
                errorMsg.classList.remove('iti__hide');
              }
            }
          });

          input.addEventListener('change', reset);
          input.addEventListener('keyup', reset);
        },
      );
    },
  };
})(Drupal, once);
